Debian Bug report logs - #392556
strace: FTBFS: 'CTL_PROC' undeclared here (not in a function)

version graph

Package: strace; Maintainer for strace is Frederik Schüler <fs@debian.org>; Source for strace is src:strace.

Reported by: Julien Danjou <acid@debian.org>

Date: Thu, 12 Oct 2006 08:48:33 UTC

Severity: serious

Tags: patch

Found in version strace/4.5.14-1

Fixed in version strace/4.5.14-2

Done: Frederik Schüler <fs@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Roland McGrath <frob@debian.org>:
Bug#392556; Package strace. Full text and rfc822 format available.

Acknowledgement sent to Julien Danjou <acid@debian.org>:
New Bug report received and forwarded. Copy sent to Roland McGrath <frob@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Julien Danjou <acid@debian.org>
To: submit@bugs.debian.org
Subject: strace: FTBFS: 'CTL_PROC' undeclared here (not in a function)
Date: Thu, 12 Oct 2006 10:44:06 +0200
[Message part 1 (text/plain, inline)]
Package: strace
Version: 4.5.14-1
Severity: serious

Hello,

There was a problem while autobuilding your package:

> Automatic build of strace_4.5.14-1 on avidan by sbuild/i386 98
> Build started at 20061012-0652
> ******************************************************************************
...
> if gcc -DHAVE_CONFIG_H -I. -I.. -I. -Ilinux/i386 -I../linux/i386 -Ilinux -I../linux   -Wall -g -O2 -MT signal.o -MD -MP -MF ".deps/signal.Tpo" -c -o signal.o ../signal.c; \
> 	then mv -f ".deps/signal.Tpo" ".deps/signal.Po"; else rm -f ".deps/signal.Tpo"; exit 1; fi
> if gcc -DHAVE_CONFIG_H -I. -I.. -I. -Ilinux/i386 -I../linux/i386 -Ilinux -I../linux   -Wall -g -O2 -MT sock.o -MD -MP -MF ".deps/sock.Tpo" -c -o sock.o ../sock.c; \
> 	then mv -f ".deps/sock.Tpo" ".deps/sock.Po"; else rm -f ".deps/sock.Tpo"; exit 1; fi
> if gcc -DHAVE_CONFIG_H -I. -I.. -I. -Ilinux/i386 -I../linux/i386 -Ilinux -I../linux   -Wall -g -O2 -MT system.o -MD -MP -MF ".deps/system.Tpo" -c -o system.o ../system.c; \
> 	then mv -f ".deps/system.Tpo" ".deps/system.Po"; else rm -f ".deps/system.Tpo"; exit 1; fi
> ../system.c:1581: error: 'CTL_PROC' undeclared here (not in a function)
> make[2]: *** [system.o] Error 1
> make[2]: Leaving directory `/build/buildd/strace-4.5.14/build'
> make[1]: *** [all] Error 2
> make[1]: Leaving directory `/build/buildd/strace-4.5.14/build'
> make: *** [stamp-build] Error 2
> ******************************************************************************
> Build finished at 20061012-0653
> FAILED [dpkg-buildpackage died]
> Purging chroot-unstable/build/buildd/strace-4.5.14

Full buildd log:
http://people.debian.org/~acid/buildd-logs/failed/strace_4.5.14-1_20061012-0652

Cheers,
-- 
Julien Danjou
.''`.  Debian Developer
: :' : http://julien.danjou.info
`. `'  http://people.debian.org/~acid
  `-   9A0D 5FD9 EB42 22F6 8974  C95C A462 B51E C2FE E5CD
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Roland McGrath <frob@debian.org>:
Bug#392556; Package strace. Full text and rfc822 format available.

Acknowledgement sent to Andreas Henriksson <andreas@fatal.se>:
Extra info received and forwarded to list. Copy sent to Roland McGrath <frob@debian.org>. Full text and rfc822 format available.

Message #10 received at 392556@bugs.debian.org (full text, mbox):

From: Andreas Henriksson <andreas@fatal.se>
To: 392556@bugs.debian.org
Cc: control@bugs.debian.org
Subject: CTL_PROC removed in 2.6.18
Date: Mon, 16 Oct 2006 23:23:44 +0200
tags 392556 + patch
thanks

CTL_PROC seems to have been removed in 2.6.18:
http://www.kernel.org/git/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=eab03ac7bd3e0da99eb9dc068772a85a5e3f3577

Maybe the CTL_PROC line below should be completely removed instead of using
ifdef.... This fixes the FTBFS anyway.

diff -ur strace-4.5.14/system.c strace-4.5.14-fixed/system.c
--- strace-4.5.14/system.c	2006-01-12 22:21:06.000000000 +0100
+++ strace-4.5.14-fixed/system.c	2006-10-16 23:19:49.000000000 +0200
@@ -1578,7 +1578,9 @@
 	{ CTL_KERN, "CTL_KERN" },
 	{ CTL_VM, "CTL_VM" },
 	{ CTL_NET, "CTL_NET" },
+#ifdef CTL_PROC
 	{ CTL_PROC, "CTL_PROC" },
+#endif
 	{ CTL_FS, "CTL_FS" },
 	{ CTL_DEBUG, "CTL_DEBUG" },
 	{ CTL_DEV, "CTL_DEV" },



Tags added: patch Request was from Andreas Henriksson <andreas@fatal.se> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Roland McGrath <frob@debian.org>:
Bug#392556; Package strace. Full text and rfc822 format available.

Acknowledgement sent to Andreas Henriksson <andreas@fatal.se>:
Extra info received and forwarded to list. Copy sent to Roland McGrath <frob@debian.org>. Full text and rfc822 format available.

Message #17 received at 392556@bugs.debian.org (full text, mbox):

From: Andreas Henriksson <andreas@fatal.se>
To: 392556@bugs.debian.org
Subject: New patch(es)
Date: Tue, 17 Oct 2006 00:35:04 +0200
[Message part 1 (text/plain, inline)]
Oops.. The previous patch did the job but is bogus.
(The ifdef will always be false since CTL_PROC is an enum and not a
define)

Attached file strace-ctlproc-version.diff uses the LINUX_VERSION_CODE to
make sure CTL_PROC is only used on if <2.6.18.

But as previously mentioned, the CTL_PROC line should probably just be
removed, which is what the attached strace-ctlproc-remove.diff does.

You pick one.


Regards,
Andreas Henriksson
[strace-ctlproc-version.diff (text/plain, attachment)]
[strace-ctlproc-remove.diff (text/plain, attachment)]

Reply sent to Frederik Schüler <fs@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Julien Danjou <acid@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #22 received at 392556-close@bugs.debian.org (full text, mbox):

From: Frederik Schüler <fs@debian.org>
To: 392556-close@bugs.debian.org
Subject: Bug#392556: fixed in strace 4.5.14-2
Date: Thu, 26 Oct 2006 14:17:20 -0700
Source: strace
Source-Version: 4.5.14-2

We believe that the bug you reported is fixed in the latest version of
strace, which is due to be installed in the Debian FTP archive:

strace-udeb_4.5.14-2_amd64.udeb
  to pool/main/s/strace/strace-udeb_4.5.14-2_amd64.udeb
strace_4.5.14-2.diff.gz
  to pool/main/s/strace/strace_4.5.14-2.diff.gz
strace_4.5.14-2.dsc
  to pool/main/s/strace/strace_4.5.14-2.dsc
strace_4.5.14-2_amd64.deb
  to pool/main/s/strace/strace_4.5.14-2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 392556@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Frederik Schüler <fs@debian.org> (supplier of updated strace package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu, 26 Oct 2006 22:11:25 +0200
Source: strace
Binary: strace strace-udeb
Architecture: source amd64
Version: 4.5.14-2
Distribution: unstable
Urgency: low
Maintainer: Roland McGrath <frob@debian.org>
Changed-By: Frederik Schüler <fs@debian.org>
Description: 
 strace     - A system call tracer
 strace-udeb - A system call tracer (udeb)
Closes: 315500 355733 392556
Changes: 
 strace (4.5.14-2) unstable; urgency=low
 .
   * New comaintainer.
   * Fix build failure with linux-2.6.18, thanks to Andreas Henriksson for the
     patch, closes: #392556.
   * Fix build with libc6 2.5.
   * Acknowledge NMUs, closes: #315500, #355733
Files: 
 bec7a3d6d6701c7bb83dbeff53707cbe 830 utils standard strace_4.5.14-2.dsc
 04ffd28165735f176f051d11741a256a 1172 utils standard strace_4.5.14-2.diff.gz
 bc6233ed4bf56709c4143133b372440d 84130 debian-installer extra strace-udeb_4.5.14-2_amd64.udeb
 930d4b81ba11ec13d71b0460df052233 104134 utils standard strace_4.5.14-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFQSJq6n7So0GVSSARApkbAJ9QIfLNTS7bdTe1mAfT5PeftPjnUgCgpWlz
Mw1d+urvrJJhE+vxsgeUIrM=
=IPn5
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Jun 2007 00:03:33 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 09:52:36 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.